Get ALB Cluster

Get ALB Cluster
Retrieve an NSX ALB Cluster by its ID

Retrieve an NSX ALB Cluster by its ID

Request
URI
GET
https://{api_host}/v1/nsx-alb-clusters/{id}
COPY
Path Parameters
string
id
Required  

ALB Cluster ID


Responses
200

Ok

Returns NsxALBCluster of type(s) application/json
{
    "id": "string",
    "clusterName": "string",
    "domains": [
        {
            "id": "string",
            "name": "string",
            "type": "string"
        }
    ],
    "nsxClusters": [
        {
            "id": "string",
            "vipFqdn": "string",
            "vip": "string"
        }
    ],
    "clusterFqdn": "string",
    "clusterIpAddress": "string",
    "clusterStatus": "string",
    "version": "string",
    "deploymentStatus": "One among: ACTIVE, ACTIVATING, DEACTIVATING"
}
string
id
Read-Only  

ID of the NSX Advanced Load Balancer Cluster

string
clusterName
Read-Only  

Name of NSX Advanced Load Balancer Cluster

array of object
domains
Read-Only  

Collection of IDs of Workload Domains where NSX Advanced Load Balancer Cluster is deployed

array of object
nsxClusters
Read-Only  

Collection of IDs of the NSX where NSX Advanced Load Balancer Cluster is deployed

string
clusterFqdn
Read-Only  

NSX Advanced Load Balancer Cluster Virtual fqdn

string
clusterIpAddress
Read-Only  

NSX Advanced Load Balancer Cluster Virtual IPv4 address of format 'x.x.x.x'

string
clusterStatus
Read-Only  

NSX Advanced Load Balancer Cluster status

string
version
Read-Only  

NSX Advanced Load Balancer Cluster version

string
deploymentStatus
Read-Only  

NSX Advanced Load Balancer Deployment Status


404

ALB Cluster not found

Returns Error of type(s) application/json
{
    "errorCode": "string",
    "errorType": "string",
    "arguments": [
        "string"
    ],
    "context": {
        "context": "string"
    },
    "notifications": [
        {
            "severity": "string",
            "message": "string",
            "remediations": [
                {
                    "message": "string",
                    "link": "string"
                }
            ],
            "impactMessage": "string"
        }
    ],
    "message": "string",
    "remediationMessage": "string",
    "causes": [
        {
            "type": "string",
            "message": "string"
        }
    ],
    "nestedErrors": [
        {
            "errorCode": "string",
            "errorType": "string",
            "arguments": [
                "string"
            ],
            "context": {
                "context": "string"
            },
            "notifications": [
                {
                    "severity": "string",
                    "message": "string",
                    "remediations": [
                        {
                            "message": "string",
                            "link": "string"
                        }
                    ],
                    "impactMessage": "string"
                }
            ],
            "message": "string",
            "remediationMessage": "string",
            "causes": [
                {
                    "type": "string",
                    "message": "string"
                }
            ],
            "nestedErrors": [
                "Error Object"
            ],
            "referenceToken": "string",
            "label": "string",
            "remediationUrl": "string"
        }
    ],
    "referenceToken": "string",
    "label": "string",
    "remediationUrl": "string"
}
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of object
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


500

InternalServerError

Returns Error of type(s) application/json
"Error Object"
string
errorCode
Read-Only  

The minor error code

string
errorType
Read-Only  

The error type

array of string
arguments
Read-Only  

The arguments used to localize the message, Can be used by scripts to automate the error processing.

object
context
Read-Only  

The error context (e.g. the component where it occurred).

array of object
notifications
Read-Only  

Detailed results of the precheck validation.

string
message
Read-Only  

The localized error message

string
remediationMessage
Optional

The localized remediation error message

array of object
causes
Optional

The underlying cause exceptions.

array of Error
nestedErrors
Optional

The nested errors when the error is a composite one

string
referenceToken
Read-Only  

A reference token correlating the error with the relevant detailed error logs. Should be sent to the service provider when reporting issues.

string
label
Read-Only  

The localized label message

string
remediationUrl
Read-Only  

The URL string for remediation documentation link


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v1/nsx-alb-clusters/{id}